from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.text import XTextCursor

@runtime_checkable
class XParagraphCursor(XTextCursor, Protocol):
    def isStartOfParagraph(self) -> bool: ...
    def isEndOfParagraph(self) -> bool: ...
    def gotoStartOfParagraph(self, bExpand: bool) -> bool: ...
    def gotoEndOfParagraph(self, bExpand: bool) -> bool: ...
    def gotoNextParagraph(self, bExpand: bool) -> bool: ...
    def gotoPreviousParagraph(self, bExpand: bool) -> bool: ...
